GyotoInflateStar.h File Reference

Mass-less, spherical object following a timelike geodesic. More...

`#include <GyotoMetric.h>`
`#include <GyotoStar.h>`
`#include <GyotoRegister.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::InflateStar
| An Astrobj::Star with growing size. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

Mass-less, spherical object following a timelike geodesic.

A Gyoto::InflateStar evolves in a Gyoto::Metric following time-like geodesics and is a Gyoto::Astrobj::Generic suitable for ray-tracing.